%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname pervasives
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:        Access to pristine object state
Name:           rubygem-%{gemname}
Version:        1.1.0
Release:        3%{?dist}
Group:          Development/Languages
License:        Ruby
URL:            http://codeforpeople.com/lib/ruby/pervasives/
Source0:        http://rubyforge.org/frs/download.php/25796/%{gemname}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       rubygems
Requires:       ruby(abi) = 1.8
BuildRequires:  rubygems
BuildRequires:  rubygem-rake
BuildRequires:  zip
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
Access to pristine object state. If you don't metaprogram or write
debuggers you probably don't need it.

%prep
%setup -q -n %{gemname}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force %{gemname}-%{version}.gem

chmod ugo+x %{buildroot}/%{gemdir}/gems/%{gemname}-%{version}/install.rb

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/gems/%{gemname}-%{version}/README
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Sat Oct 25 2008 Jeroen van Meeuwen <kanarip@fedoraproject.org> - 1.1.0-3
- Fix license

* Mon Sep 08 2008 Jeroen van Meeuwen <kanarip@fedoraproject.org> - 1.1.0-2
- Added ruby(abi) = 1.8 requirement

* Sat Aug 23 2008 Jeroen van Meeuwen <kanarip@fedoraproject.org> - 1.1.0-1
- Initial packaging for review
